module.exports = function (grunt) {
    "use strict";

    // Initializes the Grunt tasks with the following settings
    grunt.initConfig({
        jslint: {
            all: {
                src: [
                    "./*.js",
                    "./*.json",
                    "./*.jsonx"
                ],
                directives: {
                    node: true,
                    nomen: true,
                    indent: 4,
                    maxlen: 300,
                    var: true,
                    predef: [
                        "YUI",
                        "Y",
                        "NAME",
                        "Handlebars"
                    ]
                }
            }
        }
    });

    grunt.loadNpmTasks("grunt-jslint");
    grunt.registerTask("default", [
        "jslint"
    ]);
};
